Skip to main content
POST
/
conversations
/
{id}
/
messages
Send Message
curl --request POST \
  --url https://api.veryfront.com/conversations/{id}/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role": "user",
  "parts": [
    {
      "type": "text",
      "text": "<string>"
    }
  ],
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "idempotency_key": "<string>",
  "metadata": {}
}
'
{
  "id": "<string>",
  "conversation_id": "<string>",
  "seq": 123,
  "role": "user",
  "parts": [
    {
      "type": "text",
      "text": "<string>"
    }
  ],
  "status": "pending",
  "created_at": "<string>",
  "parent_id": "<string>",
  "created_by": "<string>",
  "model": "<string>",
  "token_usage": {},
  "finish_reason": "<string>",
  "cost_credits": "<string>",
  "edited_at": "<string>",
  "idempotency_key": "<string>",
  "metadata": {},
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Body

application/json
role
enum<string>
required
Available options:
user
parts
object[]
required
Required array length: 1 - 200 elements
parent_id
string<uuid>
idempotency_key
string
Maximum string length: 255
metadata
object

Response

Created message

id
string
required
conversation_id
string
required
seq
number
required
role
enum<string>
required
Available options:
user,
assistant,
tool
parts
object[]
required
status
enum<string>
required
Available options:
pending,
streaming,
completed,
failed,
cancelled
created_at
string
required
parent_id
string | null
created_by
string | null
model
string | null
token_usage
object
finish_reason
string | null
cost_credits
string | null
edited_at
string | null
idempotency_key
string | null
metadata
object
updated_at
string | null